ALAS-2018-981


Amazon Linux AMI Security Advisory: ALAS-2018-981
Advisory Release Date: 2018-04-05 23:07 Pacific
Severity: Critical
References: CVE-2018-5146 

Issue Overview:

Vorbis audio processing out of bounds write:
An out of bounds write flaw was found in the processing of vorbis audio data. A maliciously crafted file or audio stream could cause the application to crash or, potentially, execute arbitrary code. (CVE-2018-5146 )


Affected Packages:

libvorbis


Issue Correction:
Run yum update libvorbis to update your system.

New Packages:
i686:
    libvorbis-devel-1.3.3-8.7.amzn1.i686
    libvorbis-1.3.3-8.7.amzn1.i686
    libvorbis-debuginfo-1.3.3-8.7.amzn1.i686

noarch:
    libvorbis-devel-docs-1.3.3-8.7.amzn1.noarch

src:
    libvorbis-1.3.3-8.7.amzn1.src

x86_64:
    libvorbis-devel-1.3.3-8.7.amzn1.x86_64
    libvorbis-1.3.3-8.7.amzn1.x86_64
    libvorbis-debuginfo-1.3.3-8.7.amzn1.x86_64